Page MenuHomeFreeBSD

Update the dependency code in bsd.qt.mk to the one from kde.mk
ClosedPublic

Authored by tcberner on Nov 21 2016, 11:22 AM.

Details

Summary

The dependency code from kde.mk can add LIB_DEPENDS if the sense-file is a
library. Import this into bsd.qt.mk

This is done to simplify D8540

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner updated this revision to Diff 22402.Nov 21 2016, 11:22 AM
tcberner retitled this revision from to Update the dependency code in bsd.qt.mk to the one from kde.mk.
tcberner updated this object.
tcberner edited the test plan for this revision. (Show Details)
tcberner added reviewers: kde, rakuco, mat, adridg.
rakuco accepted this revision.Nov 21 2016, 11:30 AM
rakuco edited edge metadata.

looks good to me. @mat?

tcberner updated this revision to Diff 22408.Nov 21 2016, 4:51 PM
tcberner edited edge metadata.

Fixup phonon paths.

Owners edited edge metadata.Nov 21 2016, 4:51 PM
mat edited edge metadata.Nov 21 2016, 6:25 PM

I have not looked at it in details, but it looks like the right thing to do.

Note that LIB_DEPENDS use ldconfig's data (not ldconfig directly), so, if the library is not in LOCALBASE/lib, the full path to it must be set via USE_LDCONFIG's mechanism in the port providing the library.

They all should already have USE_LDCONFIG=${PREFIX}/${QT_LIBDIR_REL} in their Makefiles [and so far at least I have had no fallout while testbuilding this diff].

tcberner updated this revision to Diff 22435.Nov 22 2016, 3:23 PM
tcberner edited edge metadata.

Remove the qmake_TYPE=build line that slipped in from qt.mk.

Owners edited edge metadata.Nov 22 2016, 3:23 PM
mat accepted this revision.Nov 25 2016, 7:50 AM
mat edited edge metadata.

Macro lgtm:

This revision is now accepted and ready to land.Nov 25 2016, 7:50 AM
This revision was automatically updated to reflect the committed changes.